<?php
/**
 * WP Ultimate CSV Importer plugin file.
 *
 * Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com
 */

namespace Smackcoders\FCSV;

if (!defined('ABSPATH'))
        exit; // Exit if accessed directly

class LangTA
{
        private static $tamil_instance = null, $media_instance;

        public static function getInstance()
        {
                if (LangTA::$tamil_instance == null) {
                        LangTA::$tamil_instance = new LangTA;
                        return LangTA::$tamil_instance;
                }
                return LangTA::$tamil_instance;
        }

        public static function contents()
        {
                $response = array(
						'ImportUpdate' => 'இறக்குமதி மேம்படுத்தல்',
						'Updateolderpostsfromsingleimport' => 'ஒரே இறக்குமதியிலிருந்து பழைய இடுகைகளைப் புதுப்பிக்கவும்',
						'Buynow' => 'இப்போது வாங்க!',
						'Exportfiltereddata' => 'வடிகட்டப்பட்ட தரவை ஏற்றுமதி செய்யவும்',
						'UltimateExporterPro' => 'அல்டிமேட் எக்ஸ்போர்ட்டர் புரோ',
                		'Exportfiltereddatadesc' => 'பல்வேறு மேம்பட்ட வடிப்பான்களுடன் தேவையான தரவை மட்டும் பெற உங்களை அனுமதிக்கிறது',
                		'Backupineditableformat' => 'திருத்தக்கூடிய வடிவத்தில் காப்புப்பிரதி',
        		        'Backupineditableformatdesc' => ' CSV, XML, JSON,XLS போன்ற 4 வெவ்வேறு கோப்பு வடிவங்களில் காப்புப் பிரதி எடுக்கவும்',
		                'AutoScheduledBackups' => 'தானியங்கு திட்டமிடப்பட்ட காப்புப்பிரதிகள்',
                		'AutoScheduledBackupsdesc' => 'திட்டமிடப்பட்ட ஏற்றுமதி வழக்கமான இடைவெளியில் திருத்தக்கூடிய உரை கோப்பு வடிவமாக காப்புப் பிரதி எடுக்க உதவுகிறது.',
						'SEOPluginsDataImporterRankMathYoastandAllinOneSEO' => 'எஸ்சிஓ செருகுநிரல்கள் தரவு இறக்குமதியாளர் - RankMath, SEOPress, Yoast and All in One SEO',
						'Exporterwithadvancedfilters' => 'மேம்பட்ட வடிப்பான்களுடன் ஏற்றுமதி செய்பவர்',
						'JetEngineMetaboxToolsetTypesACFproFreeandPodsFieldPostPluginsImporter' => 'JetEngine, Metabox, Toolset Types, ACF pro / Free and Pods Field/Post செருகுநிரல்கள் இறக்குமதியாளர்',
						'AIOWooCommerceImportSuit' => 'AIO WooCommerce இறக்குமதி வழக்கு',
						'AutoSchedulewithreusabletemplates' => 'மீண்டும் பயன்படுத்தக்கூடிய டெம்ப்ளேட்களுடன் தானியங்கு அட்டவணை',
						'WPMLImporter' => 'WPML இறக்குமதியாளர்',
						'Dashboard' => 'டாஷ்போர்டு',
						'Manager' => 'மேலாளர்',
						'Export' => 'ஏற்றுமதி',
						'Settings' => 'அமைப்புகள்',
						'Support' => 'ஆதரவு',
						'UploadfromDesktop' => 'டெஸ்க்டாப்பில் இருந்து பதிவேற்றவும்',
						'UploadfromFTPSFTP' => 'FTPSFTP இலிருந்து பதிவேற்றவும்',
						'UploadfromFTP' => 'FTPSFTP இலிருந்து பதிவேற்றவும்',
						'UploadfromURL' => 'URL இலிருந்து பதிவேற்றவும்',
						'ChoosFileintheServer' => 'FileintheServer ஐ தேர்வு செய்யவும்',
						'Drag&Dropyourfilesor' => 'உங்கள் கோப்புகளை இழுத்து விடுங்கள்',
						'Browse' => 'உலாவவும்',
						'SIMPLEMODE' => 'எளிய முறை',
						'NewItem' => 'புதிய பொருள்',
						'ExistingItems' => 'இருக்கும் பொருட்கள்',
						'ImportEachRecordAs' => 'இறக்குமதிEachRecordAs',
						'Continue' => 'தொடரவும்',
						'Search' => 'தேடு',
						'FromDate' => 'தேதியிலிருந்து',
						'ToDate' => 'இன்றுவரை',
						'SEARCH' => 'தேடு',
						'SavedTemplate' => 'சேமிக்கப்பட்ட டெம்ப்ளேட்',
						'TEMPLATES' => 'டெம்ப்ளேட்கள்',
						'MATCHEDCOLUMNSCOUNT' => 'MATCHEDCOLUMNSCOUNT',
						'MODULE' => 'தொகுதி',
						'CREATEDTIME' => 'உருவாக்கப்பட்ட நேரம்',
						'ACTION' => 'நடவடிக்கை',
						'USETEMPLATE' => 'யூஸ்டெம்ப்ளேட்',
						'CREATENEWMAPPING' => 'புதிய மேப்பிங்கை உருவாக்கவும்',
						'BACK' => 'மீண்டும்',
						'ADVANCEDMODE' => 'மேம்பட்ட பயன்முறை',
						'DRAGDROPMODE' => 'இழுவை முறை',
						'WordpressFields' => 'WordpressFields',
						'WPFIELDS' => 'WPFIELDS',
						'CSVHEADER' => 'CSVHEADER',
						'Action' => 'செயல்',
						'Name' => 'பெயர்',
						'HINT' => 'குறிப்பு',
						'Example' => 'உதாரணமாக',
						'WordPressCoreFields' => 'WordPressCoreFields',
						'ACFFreeFields' => 'ஏசிஎஃப் ஃப்ரீஃபீல்ட்ஸ்',
						'ACFFields' => 'ஏசிஎஃப் ஃபீல்ட்ஸ்',
						'ACFGroupFields' => 'ACFGroupFields',
						'ACFProFields' => 'ACFProFields',
						'ACFRepeaterFields' => 'ACFRepeaterFields',
						'TypesCustomFields' => 'தனிப்பயன் புலங்கள் வகைகள்',
						'PodsFields' => 'PodsFields',
						'JobListingFields' => 'வேலைப்பட்டியல் துறைகள்',
						'CustomFieldSuite' => 'CustomFieldSuite',
						'AllInOneSeoFields' => 'AllInOneSeoFields',
						'MetaBoxFields' => 'மெட்டாபாக்ஸ் ஃபீல்ட்ஸ்',
						'YoastSeoFields' => 'YoastSeoFields',
						'RankMathFields' => 'ரேங்க்மேத்ஃபீல்ட்ஸ்',
						'RankMathProFields' => 'RankMathProFields',
						'BillingAndShippingInformation' => 'பில்லிங் மற்றும் ஷிப்பிங் தகவல்',
						'CustomFieldsWPMemberFields' => 'CustomFieldsWPMemberFields',
						'CustomFieldsMemberFields' => 'CustomFieldsMemberFields',
						'ProductMetaFields' => 'தயாரிப்பு மெட்டா ஃபீல்ட்ஸ்',
						'ProductAttrFields' => 'ProductAttrFields',
						'ProductBundleMetaFields' => 'தயாரிப்பு தொகுப்பு மெட்டா ஃபீல்ட்ஸ்',
						'OrderMetaFields' => 'ஆர்டர்மெட்டா ஃபீல்ட்ஸ்',
						'CouponMetaFields' => 'கூப்பன் மெட்டா ஃபீல்ட்ஸ்',
						'RefundMetaFields' => 'ரீஃபண்ட் மெட்டா ஃபீல்ட்ஸ்',
						'WPECommerceCustomFields' => 'WPECommerceCustomFields',
						'EventsManagerFields' => 'EventsManagerFields',
						'WPMLFields' => 'WPMLஃபீல்ட்ஸ்',
						'CMB2CustomFields' => 'CMB2CustomFields',
						'JetEngineFields' => 'ஜெட்என்ஜின்ஃபீல்ட்ஸ்',
						'JetEngineRFFields' => 'JetEngineRFFields',
						'JetEngineCPTFields' => 'JetEngineCPTFields',
						'JetEngineCPTRFFields' => 'JetEngineCPTRF புலங்கள்',
						'JetEngineTaxonomyFields' => 'JetEngineTaxonomyFields',
						'JetEngineTaxonomyRFFields' => 'JetEngineTaxonomyRF புலங்கள்',
						'JetEngineRelationsFields' => 'JetEngineRelationsFields',
						'CourseSettingsFields' => 'பாட அமைப்புகள்',
						'CurriculumSettingsFields' => 'பாடத்திட்ட அமைப்புகள் புலங்கள்',
						'QuizSettingsFields' => 'QuizSettingsFields',
						'LessonSettingsFields' => 'பாடம் அமைப்புகள் புலங்கள்',
						'QuestionSettingsFields' => 'கேள்வி அமைப்புகள் புலங்கள்',
						'OrderSettingsFields' => 'OrderSettingsFields',
						'WordPressCustomFields' => 'WordPressCustomFields',
						'TermsandTaxonomies' => 'விதிமுறைகள் மற்றும் வகைபிரித்தல்கள்',
						'IsSerialized' => 'வரிசைப்படுத்தப்பட்டது',
						'NoCustomFieldsFound' => 'NoCustomFieldsFound',
						'MediaUploadFields' => 'MediaUploadFields',
						'UploadMedia' => 'பதிவேற்ற ஊடகம்',
						'UploadedListofFiles' => 'பதிவேற்றப்பட்ட பட்டியல் கோப்புகள்',
						'UploadedMediaFileLists' => 'UploadedMediaFileLists',
						'SavethismappingasTemplate' => 'SavethismappingasTemplate',
						'Save' => 'சேமிக்கவும்',
						'Doyouneedtoupdatethecurrentmapping' => 'தற்போதைய மேப்பிங்கைப் புதுப்பிக்க வேண்டும்',
						'Savethecurrentmappingasnewtemplate' => 'தற்போதைய மேப்பிங் புதிய வார்ப்புருவை சேமிக்கவும்',
						'Back' => 'மீண்டும்',
						'Size' => 'அளவு',
						'MediaHandling' => 'மீடியா கையாளுதல்',
						'Downloadexternalimagestoyourmedia' => 'வெளிப்புறப் படங்களைப் பதிவிறக்கவும்',
						'ImageHandling' => 'படத்தை கையாளுதல்',
						'Usemediaimagesifalreadyavailable' => 'மீடியா படங்களைப் பயன்படுத்தவும், ஏற்கனவே கிடைக்கும்',
						'Doyouwanttooverwritetheexistingimages' => 'இருக்கும் படங்களை மேலெழுத வேண்டும்',
						'ImageSizes' => 'பட அளவுகள்',
						'Thumbnail' => 'சிறுபடம்',
						'Medium' => 'நடுத்தர',
						'MediumLarge' => 'நடுத்தர பெரியது',
						'Large' => 'பெரியது',
						'Custom' => 'தனிப்பயன்',
						'Slug' => 'ஸ்லக்',
						'Width' => 'அகலம்',
						'Height' => 'உயரம்',
						'Addcustomsizes' => 'தனிப்பயனாக்குகிறது',
						'PostContentImageOption' => 'PostContentImageOption',
						'DownloadPostContentExternalImagestoMedia' => 'PostContentExternalImagestoMedia ஐப் பதிவிறக்கவும்',
						'MediaSEOAdvancedOptions' => 'MediaSEO மேம்பட்ட விருப்பங்கள்',
						'polylangfields' => 'பாலிலாங்ஃபீல்ட்ஸ்',
						'SetimageTitle' => 'SetimageTitle',
						'SetimageCaption' => 'SetimageCaption',
						'SetimageAltText' => 'SetimageAltText',
						'SetimageDescription' => 'செட்டிமேஜ் விளக்கம்',
						'Changeimagefilenameto' => 'படத்தின் கோப்பு பெயரை மாற்றவும்',
						'ImportconfigurationSection' => 'இறக்குமதி கட்டமைப்பு பிரிவு',
						'EnablesafeprestateRollback' => 'SafeprestateRollback ஐ இயக்கவும்',
						'Backupbeforeimport' => 'இறக்குமதிக்கு முன் காப்புப்பிரதி',
						'DoyouwanttoSWITCHONMaintenancemodewhileimport' => 'DoyouwanttoSWITCHONபராமரிப்பு முறை இறக்குமதி செய்யும் போது',
						'Doyouwanttohandletheduplicateonexistingrecords' => 'ஏற்கனவே உள்ள பதிவுகள்',
						'Mentionthefieldswhichyouwanttohandleduplicates' => 'நீங்கள் கையாளக்கூடிய நகல்களைக் குறிப்பிடவும்',
						'DoyouwanttoUpdateanexistingrecords' => 'இருக்கும் பதிவுகளை புதுப்பிக்க வேண்டும்',
						'Updaterecordsbasedon' => 'பதிவுகளின் அடிப்படையில் புதுப்பிக்கவும்',
						'DeletedatafromWordPress' => 'வேர்ட்பிரஸ்ஸில் இருந்து தரவுகளை நீக்கவும்',
						'EnabletodeletetheitemsnotpresentinCSVXMLfile' => 'CSVXMLகோப்பில் டீலெட் உருப்படிகள் இல்லை என்பதை இயக்கு',
						'DoyouwanttoSchedulethisImport' => 'இதை இறக்குமதி செய்ய திட்டமிட வேண்டும்',
						'ScheduleDate' => 'அட்டவணைத் தேதி',
						'ScheduleFrequency' => 'அட்டவணை அதிர்வெண்',
						'TimeZone' => 'நேரம் மண்டலம்',
						'ScheduleTime' => 'அட்டவணை நேரம்',
						'Schedule' => 'அட்டவணை',
						'Import' => 'இறக்குமதி',
						'Format' => 'வடிவம்',
						'OneTime' => 'ஒரு முறை',
						'Daily' => 'தினசரி',
						'Weekly' => 'வாரந்தோறும்',
						'Monthly' => 'மாதாந்திர',
						'Hourly' => 'மணிநேரம்',
						'Every30mins' => 'ஒவ்வொரு 30 நிமிடங்களுக்கும்',
						'Every15mins' => 'ஒவ்வொரு 15 நிமிடங்களுக்கும்',
						'Every10mins' => 'ஒவ்வொரு 10 நிமிடங்களுக்கும்',
						'Every5mins' => 'ஒவ்வொரு 5 நிமிடங்களுக்கும்',
						'FileName' => 'கோப்பு பெயர்',
						'FileSize' => 'கோப்பின் அளவு',
						'Process' => 'செயல்முறை',
						'Totalnoofrecords' => 'மொத்த நூல் பதிவுகள்',
						'CurrentProcessingRecord' => 'தற்போதைய செயலாக்க பதிவு',
						'RemainingRecord' => 'மீதமுள்ள பதிவு',
						'Completed' => 'நிறைவு',
						'TimeElapsed' => 'நேரம் கடந்துவிட்டது',
						'approximate' => 'தோராயமான',
						'DownloadLog' => 'பதிவிறக்கப் பதிவு',
						'NoRecord' => 'விவரம் இல்லை',
						'UploadedCSVFileLists' => 'பதிவேற்றப்பட்ட CSV கோப்பு பட்டியல்கள்',
						'Hostname' => 'ஹோஸ்ட் பெயர்',
						'HostPort' => 'ஹோஸ்ட்போர்ட்',
						'HostUsername' => 'ஹோஸ்ட் பயனர்பெயர்',
						'HostPassword' => 'HostPassword',
						'HostPath' => 'ஹோஸ்ட்பாத்',
						'DefaultPort' => 'DefaultPort',
						'FTPUsername' => 'FTPU பயனர்பெயர்',
						'FTPPassword' => 'FTPPassword',
						'ConnectionType' => 'இணைப்பு வகை',
						'ImportersActivity' => 'இறக்குமதியாளர்கள் செயல்பாடு',
						'ImportStatistics' => 'இறக்குமதி புள்ளிவிவரங்கள்',
						'FileManager' => 'கோப்பு மேலாளர்',
						'SmartSchedule' => 'ஸ்மார்ட் அட்டவணை',
						'ScheduledExport' => 'திட்டமிடப்பட்ட ஏற்றுமதி',
						'Templates' => 'வார்ப்புருக்கள்',
						'LogManager' => 'பதிவு மேலாளர்',
						'NotSelectedAnyTab' => 'NotSelectedAnyTab',
						'EventInfo' => 'நிகழ்வு தகவல்',
						'EventDate' => 'நிகழ்வு தேதி',
						'EventStatus' => 'நிகழ்வு நிலை',
						'Actions' => 'செயல்கள்',
						'Date' => 'தேதி',
						'Purpose' => 'நோக்கம்',
						'Revision' => 'திருத்தம்',
						'Select' => 'தேர்ந்தெடு',
						'Inserted' => 'செருகப்பட்டது',
						'Updated' => 'புதுப்பிக்கப்பட்டது',
						'Skipped' => 'தவிர்க்கப்பட்டது',
						'Delete' => 'அழி',
						'Noeventsfound' => 'புதுமையான நிகழ்வுகள்',
						'ScheduleInfo' => 'அட்டவணை தகவல்',
						'ScheduledDate' => 'திட்டமிடப்பட்ட தேதி',
						'ScheduledTime' => 'திட்டமிடப்பட்ட நேரம்',
						'Youhavenotscheduledanyevent' => 'நீங்கள் திட்டமிடப்படாத நிகழ்வு',
						'Frequency' => 'அதிர்வெண்',
						'Time' => 'நேரம்',
						'EditSchedule' => 'திருத்த அட்டவணை',
						'SaveChanges' => 'மாற்றங்களை சேமியுங்கள்',
						'TemplateInfo' => 'டெம்ப்ளேட் தகவல்',
						'TemplateName' => 'டெம்ப்ளேட் பெயர்',
						'Module' => 'தொகுதி',
						'CreatedTime' => 'உருவாக்கப்பட்ட நேரம்',
						'NoTemplateFound' => 'வார்ப்புரு இல்லை',
						'Download' => 'பதிவிறக்க Tamil',
						'NoLogRecordFound' => 'NoLogRecordFound',
						'GeneralSettings' => 'பொது அமைப்புகள்',
						'DatabaseOptimization' => 'தரவுத்தள உகப்பாக்கம்',
						'SecurityandPerformance' => 'பாதுகாப்பு மற்றும் செயல்திறன்',
						'Documentation' => 'ஆவணப்படுத்தல்',
						'MediaReport' => 'மீடியா ரிப்போர்ட்',
						'DropTable' => 'டிராப் டேபிள்',
						'Ifenabledplugindeactivationwillremoveplugindatathiscannotberestored' => 'செயல்படுத்தப்பட்டால் சொருகி செயலிழக்கச் செய்யும்',
						'Scheduledlogmails' => 'திட்டமிடப்பட்ட பதிவு அஞ்சல்கள்',
						'Enabletogetscheduledlogmails' => 'திட்டமிடப்பட்ட பதிவு அஞ்சல்களை இயக்கு',
						'Sendpasswordtouser' => 'அனுப்பு பாஸ்வேர்ட் டவுசர்',
						'Enabletosendpasswordinformationthroughemail' => 'மின்னஞ்சல் மூலம் கடவுச் சொல் தகவலை அனுப்பவும்',
						'WoocommerceCustomattribute' => 'Woocommerce தனிப்பயன் பண்புக்கூறு',
						'Enablestoregisterwoocommercecustomattribute' => 'பதிவேட்டைச் செயல்படுத்து',
						'PleasemakesurethatyoutakenecessarybackupbeforeproceedingwithdatabaseoptimizationThedatalostcantbereverted' => 'தயவு செய்து தயவு செய்து, தரவுத்தளத்தை மேம்படுத்தும் முன்செயல்படுத்துவதற்கு முன், தேவையான பேக்அப்',
						'DeleteallorphanedPostPageMeta' => 'அலோர்ஃபேன்ட் போஸ்ட்பேஜ்மெட்டாவை நீக்கவும்',
						'Deleteallunassignedtags' => 'ஒதுக்கப்படாத குறிச்சொற்களை நீக்கவும்',
						'DeleteallPostPagerevisions' => 'அனைத்து PostPagerevisions ஐ நீக்கவும்',
						'DeleteallautodraftedPostPage' => 'அனைத்து தானாக வரையப்பட்ட இடுகைப் பக்கத்தை நீக்கவும்',
						'DeleteallPostPageintrash' => 'அனைத்து போஸ்ட்பேஜ் இன்ட்ராஷையும் நீக்கு',
						'DeleteallCommentsintrash' => 'அனைத்து கருத்துரைகளையும் நீக்கவும்',
						'DeleteallUnapprovedComments' => 'அங்கீகரிக்கப்படாத அனைத்து கருத்துகளையும் நீக்கு',
						'DeleteallPingbackComments' => 'அனைத்து பிங்பேக் கருத்துகளையும் நீக்கவும்',
						'DeleteallTrackbackComments' => 'அனைத்து ட்ராக் பேக் கமென்ட்களையும் நீக்கு',
						'DeleteallSpamComments' => 'அனைத்து ஸ்பேம் கருத்துகளையும் நீக்கு',
						'RunDBOptimizer' => 'RunDBOptimizer',
						'DatabaseOptimizationLog' => 'டேட்டாபேஸ் ஆப்டிமைசேஷன் லாக்',
						'noofOrphanedPostPagemetahasbeenremoved' => 'noofOrphanedPostPagemetahsbeenநீக்கப்பட்டது',
						'noofUnassignedtagshasbeenremoved' => 'ஒதுக்கப்படாத குறிச்சொற்கள் அகற்றப்பட்டன',
						'noofPostPagerevisionhasbeenremoved' => 'noofPostPagerevision அகற்றப்பட்டது',
						'noofAutodraftedPostPagehasbeenremoved' => 'noofAutodraftedPostPageஅகற்றப்பட்டது',
						'noofPostPageintrashhasbeenremoved' => 'noofPostPageintrash நீக்கப்பட்டது',
						'noofSpamcommentshasbeenremoved' => 'noofSpamcommentsஅகற்றப்பட்டது',
						'noofCommentsintrashhasbeenremoved' => 'noofCommentsintrash நீக்கப்பட்டது',
						'noofUnapprovedcommentshasbeenremoved' => 'noof அங்கீகரிக்கப்படாத கருத்துகள் நீக்கப்பட்டன',
						'noofPingbackcommentshasbeenremoved' => 'noofPingbackcommentsஅகற்றப்பட்டது',
						'noofTrackbackcommentshasbeenremoved' => 'noofTrackbackcommentsஅகற்றப்பட்டது',
						'Allowauthorseditorstoimport' => 'ஆசிரியர்களை இறக்குமதி செய்ய அனுமதி',
						'Allowauthorseditorstoimport' => 'ஆசிரியர்களை இறக்குமதி செய்ய அனுமதி',
						'Thisenablesauthorseditorstoimport' => 'இது இறக்குமதி செய்ய ஆசிரியர்களை செயல்படுத்துகிறது',
						'MinimumrequiredphpinivaluesIniconfiguredvalues' => 'குறைந்தபட்சம் தேவையான phpinvaluesIniconfigured மதிப்புகள்',
						'Variables' => 'மாறிகள்',
						'SystemValues' => 'கணினி மதிப்புகள்',
						'MinimumRequirements' => 'குறைந்தபட்ச தேவைகள்',
						'RequiredtoenabledisableLoadersExtentionsandmodules' => 'செயல்படுத்த இயலாமைக்கு தேவையான ஏற்றிகள் நீட்டிப்புகள் மற்றும் தொகுதிகள்',
						'DebugInformation' => 'பிழைத்திருத்தத் தகவல்',
						'SmackcodersGuidelines' => 'Smackcoders வழிகாட்டுதல்கள்',
						'DevelopmentNews' => 'வளர்ச்சிச் செய்திகள்',
						'WhatsNew' => 'WhatsNew',
						'YoutubeChannel' => 'Youtube சேனல்',
						'OtherWordPressPlugins' => 'பிற வேர்ட்பிரஸ் செருகுநிரல்கள்',
						'Count' => 'எண்ணுங்கள்',
						'ImageType' => 'பட வகை',
						'Status' => 'நிலை',
						'Loading' => 'ஏற்றுகிறது',
						'LoveWPUltimateCSVImporterGivea5starreviewon' => 'WP அல்டிமேட் CSV இறக்குமதியாளரை விரும்புங்கள் மற்றும் 5 நட்சத்திர மதிப்பாய்வை வழங்கவும்',
						'ContactSupport' => 'தொடர்பு ஆதரவு',
						'Email' => 'மின்னஞ்சல்',
						'Supporttype' => 'ஆதரவு வகை',
						'BugReporting' => 'பிழை அறிக்கையிடல்',
						'FeatureEnhancement' => 'அம்சம் மேம்பாடு',
						'Message' => 'செய்தி',
						'Send' => 'அனுப்பு',
						'NewsletterSubscription' => 'செய்திமடல் சந்தா',
						'Subscribe' => 'பதிவு',
						'Note' => 'குறிப்பு',
						'SubscribetoSmackcodersMailinglistafewmessagesayear' => 'SmackcodersMailinglistafeummessageஆண்டுக்கு குழுசேரவும்',
						'Pleasedraftamailto' => 'தயவு செய்து வரைவோலை',
						'Ifyoudoesnotgetanyacknowledgementwithinanhour' => 'நீங்கள் ஒரு மணிநேரத்திற்குள் அங்கீகாரம் பெறவில்லை என்றால்',
						'Selectyourmoduletoexportthedata' => 'உங்கள் மாட்யூல் ஏற்றுமதித் தரவைத் தேர்ந்தெடுக்கவும்',
						'Toexportdatabasedonthefilters' => 'வடிகட்டிகளின் அடிப்படையில் தரவை ஏற்றுமதி செய்யவும்',
						'ExportFileName' => 'ExportFileName',
						'AdvancedSettings' => 'மேம்பட்ட அமைப்புகள்',
						'ExportType' => 'ஏற்றுமதி வகை',
						'SplittheRecord' => 'SplittheRecord',
						'AdvancedFilters' => 'மேம்பட்ட வடிகட்டிகள்',
						'Exportdatawithautodelimiters' => 'ஏற்றுமதி தரவு',
						'Delimiters' => 'வரையறைகள்',
						'OtherDelimiters' => 'மற்ற டிலிமிட்டர்கள்',
						'Exportdataforthespecificperiod' => 'குறிப்பிட்ட காலத்திற்கு ஏற்றுமதி தரவு',
						'StartFrom' => 'தொடக்கம்',
						'EndTo' => 'எண்ட்டோ',
						'Exportdatawiththespecificstatus' => 'குறிப்பிட்ட நிலையுடன் தரவு ஏற்றுமதி',
						'All' => 'அனைத்து',
						'Publish' => 'வெளியிடு',
						'Sticky' => 'ஒட்டும்',
						'Private' => 'தனியார்',
						'Protected' => 'பாதுகாக்கப்பட்டது',
						'Draft' => 'வரைவு',
						'Pending' => 'நிலுவையில் உள்ளது',
						'Exportdatabyspecificauthors' => 'ஏற்றுமதி தரவுகள் குறிப்பிட்ட ஆசிரியர்கள்',
						'Authors' => 'ஆசிரியர்கள்',
						'ExportdatabasedonspecificInclusions' => 'ஏற்றுமதி தரவு அடிப்படையிலான குறிப்பிட்ட உள்ளடக்கங்கள்',
						'DoyouwanttoSchedulethisExport' => 'இதை ஏற்றுமதி செய்ய திட்டமிட வேண்டும்',
						'SelectTimeZone' => 'நேர மண்டலத்தைத் தேர்ந்தெடுக்கவும்',
						'ScheduleExport' => 'அட்டவணை ஏற்றுமதி',
						'DataExported' => 'தரவு ஏற்றுமதி செய்யப்பட்டது',
						'FilePath' => 'கோப்பு பாதை',
						'UltimateCSVImporterPro' => 'அல்டிமேட் CSV இறக்குமதியாளர் ப்ரோ',
						'loginfo' => 'பதிவு தகவல்',
						'ContactusforPresaleEnquiry' => 'முன்விற்பனை விசாரணைக்கு எங்களைத் தொடர்பு கொள்ளவும்',
						'PremiumVersion' => 'பிரீமியம் பதிப்பில் கிடைக்கிறது',
						'Thisfeatureisavailablein' => 'இந்த அம்சம்',
						'WPUltimateCSVImporter' => 'WP அல்டிமேட் CSV இறக்குமதியாளர்',
						'SampleCSV' => 'மாதிரி CSV',
						'Poweredby' => 'மூலம் இயக்கப்படுகிறது',
						'AlreadyInstalled' => 'ஏற்கனவே நிறுவப்பட்டது',
						'importwoocommerce' => 'woocommerce இறக்குமதி',
						'ImportanybulkWooCommerceProductsdatainCSV' => 'CSV இல் மொத்த WooCommerce தயாரிப்புகளின் தரவை இறக்குமதி செய்யவும்.',
						'Highlights' => 'சிறப்பம்சங்கள்',
						'ProductTypessimplegroupedvariableexternaltypeimport' => 'தயாரிப்பு வகைகள் எளிய, குழுவாக்கப்பட்ட, மாறி, வெளிப்புற வகை இறக்குமதி.',
						'FeaturedProductImportfromURL' => 'URL இலிருந்து பிரத்யேக தயாரிப்பு இறக்குமதி',
						'Galleryimageimport' => 'கேலரி படத்தை இறக்குமதி',
						'Duplicatedetection' => 'நகல் கண்டறிதல்',
						'FileType' => 'கோப்பு வகை',
						'SupportsUTF_8CSVfile' => 'UTF-8 CSV கோப்பை ஆதரிக்கிறது',
						'Install' => 'நிறுவு',
						'ImportUsers' => 'பயனர்கள் இறக்குமதி',
						'ImportUserinfointoWordPressinbulk' => 'மொத்தமாக வேர்ட்பிரஸில் பயனர் தகவலை இறக்குமதி செய்யவும்',
						'WPMembersaddonsupport' => 'WP-உறுப்பினர்கள் கூடுதல் ஆதரவு',
						'Defaultcustomfieldsimport' => 'இயல்புநிலை தனிப்பயன் புலங்கள் இறக்குமதி',
						'Sendsautomatedpasswordnotificationemailoptional' => 'தானியங்கி கடவுச்சொல் அறிவிப்பு மின்னஞ்சலை அனுப்புகிறது (விரும்பினால்)',
						'WPUltimateExporter' => 'WP அல்டிமேட் ஏற்றுமதியாளர்',
						'ExportallyourWordPressdataasCSVfileforbackup' => 'காப்புப்பிரதிக்கு உங்கள் வேர்ட்பிரஸ் தரவை CSV கோப்பாக ஏற்றுமதி செய்யவும்',
						'Supportsdefaultcustomfields' => 'இயல்புநிலை தனிப்பயன் புலங்களை ஆதரிக்கிறது',
						'UTF8encodedCSVfile' => 'UTF-8 குறியாக்கம் செய்யப்பட்ட CSV கோப்பு',
						'SupportPostPageCustomPost' => 'ஆதரவு இடுகை, பக்கம் & தனிப்பயன் இடுகை',
						'Filteredexportbasedonperiodoftimeauthors' => 'காலம் மற்றும் ஆசிரியர்களின் அடிப்படையில் வடிகட்டப்பட்ட ஏற்றுமதி',
						'Addons' => 'துணை நிரல்கள்',
						'Posts' => 'இடுகைகள்',
						'CustomPosts' => 'விருப்ப இடுகைகள்',
						'PostTags' => 'இடுகை குறிச்சொற்கள்',
						'PostCategories' => 'இடுகை வகைகள்',
						'Users' => 'பயனர்கள்',
						'Taxonomies' => 'வகைபிரித்தல்கள்',
						'Comments' => 'கருத்துகள்',
						'CustomerReviews' => 'வாடிக்கையாளர் மதிப்புரைகள்',
						'WooCommerceCoupons' => 'வூ வர்த்தக கூப்பன்கள்',
						'WooCommerceRefunds' => 'WooCommerce பணத்தைத் திரும்பப்பெறுதல்',
						'WooCommerceVariations' => 'WooCommerce மாறுபாடுகள்',
						'Found' => 'கண்டறியப்பட்டது',
						'CreateTopic' => 'தலைப்பை உருவாக்கவும்',
						'Createasupport' => 'உதவிக்கு இங்கே ஒரு ஆதரவு தலைப்பை உருவாக்கவும்',
						'Learnfrom' => 'எங்கள் வலைப்பதிவு இடுகைகளிலிருந்து கற்றுக்கொள்ளுங்கள்',
						'TechnicalDocumentation' => 'தொழில்நுட்ப ஆவணம்',
						'Getsampleandexamplefiles' => 'மாதிரி மற்றும் எடுத்துக்காட்டு கோப்புகளைப் பெறுங்கள்',
						'PleaseinstalltheUltimateExportertoexportallyourWordPressdataasCSV' => 'உங்கள் எல்லா வேர்ட்பிரஸ் தரவையும் CSV ஆக ஏற்றுமதி செய்ய அல்டிமேட் எக்ஸ்போர்ட்டரை நிறுவவும்',
						'Clickheretoinstall' => 'நிறுவ இங்கே கிளிக் செய்யவும்',
						'poweredBy' => 'மூலம் இயக்கப்படுகிறது',
						'Hire_us' => 'எங்களை வேலைக்கு அமர்த்துங்கள்',
						'GetSupport' => 'ஆதரவை பெறு',
						'SampleCSVXML' => 'மாதிரி CSV & XML',
						'WarningImportforsomedataaredisabledInstallandactivatebelowpluginsfirst' => 'எச்சரிக்கை: சில துணை நிரல்களைக் காணவில்லை, இது பரிந்துரைக்கப்படுகிறது',
						'DragDropyourfilesor' => 'உங்கள் கோப்புகளை இழுத்து விடவும் அல்லது',
                );
                return $response;
        }
}

